Bug 1296587 - rsyslog spool files not processed and not deleted
rsyslog spool files not processed and not deleted
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 10:41 EST by printul77700
Modified: 2016-09-20 00:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 10:29:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description printul77700 2016-01-07 10:41:29 EST
Description of problem:
same as here:
https://bugzilla.redhat.com/show_bug.cgi?id=963942

Hello,
I know this is an old discussion,but I just encountered same problem.
Could you tell me please if there is any way of sending those messages/files from spool to processing so they can get to receiver/consumer?
I expect to be an workaround that can make rsyslog read the spool, or I hope it exists.
The second question is do I neet to have the .qi file?Because in some of my problematic server there is the file but in some of them there is not
Thank you


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 5.11 (Tikanga)
rsyslogd 7.6.7


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

I will not put details about version and so on as the question is very general
Thank you for understanding
Comment 2 Tomas Heinrich 2016-06-03 10:29:01 EDT
(In reply to printul77700 from comment #0)
> Could you tell me please if there is any way of sending those messages/files
> from spool to processing so they can get to receiver/consumer?

There's a simple script called rsyslog-recover-qi.pl in the package that might be of some help.

> The second question is do I neet to have the .qi file?

Yes, you do.

> Version-Release number of selected component (if applicable):
> Red Hat Enterprise Linux Server release 5.11 (Tikanga)

This bug is filed for el6..?

> rsyslogd 7.6.7
>
> I will not put details about version and so on as the question is very
> general
> Thank you for understanding

The package you've filed the bug for won't get any more updates, hence I'm closing this bz.

Note You need to log in before you can comment on or make changes to this bug.